org.apache.maven.artifact.handler.manager

## Interface ArtifactHandlerManager

- All Known Implementing Classes:
    DefaultArtifactHandlerManager

      public interface ArtifactHandlerManager

  Version:
    $Id: ArtifactHandlerManager.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHandlers(java.util.Map handlers)`
    `ArtifactHandler` | `getArtifactHandler(java.lang.String type)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### getArtifactHandler

          ArtifactHandler getArtifactHandler(java.lang.String type)

    - #### addHandlers

          void addHandlers(java.util.Map handlers)